from parallels.core.migrated_subscription import MigratedSubscription
from parallels.core.utils.common import cached


class CPanelMigratedSubscription(MigratedSubscription):
    @property
    @cached
    def source_home_dir(self):
        """
        :rtype: str | unicode
        """
        sysuser = self.raw_dump.get_phosting_sysuser_name()
        return self._migrator.global_context.dump_agent.get_vhosts_dir(sysuser)